net.sourceforge.pmd

## Class ReportTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.ReportTest

- All Implemented Interfaces:
    ReportListener

      public class ReportTest
      extends RuleTst
      implements ReportListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReportTest.FooRule`

  - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

      `DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JavaNode` | `getNode(int line, int column, String scopeName)`
    `static JavaNode` | `getNode(int line, int column, String scopeName, boolean nextLine)`
    `void` | `metricAdded(Metric metric)`
    `static String` | `render(Renderer renderer, Report report)`
    `void` | `ruleViolationAdded(RuleViolation ruleViolation)`
    `static junit.framework.Test` | `suite()`
    `void` | `testBasic()`
    `void` | `testExclusionsInReportWithAnnotations()`
    `void` | `testExclusionsInReportWithNOPMD()`
    `void` | `testExclusionsInReportWithRuleViolationSuppressRegex()`
    `void` | `testExclusionsInReportWithRuleViolationSuppressXPath()`
    `void` | `testListener()`
    `void` | `testMetric0()`
    `void` | `testMetric1()`
    `void` | `testSortedReport_File()`
    `void` | `testSortedReport_Line()`
    `void` | `testSummary()`
    `void` | `testTreeIterator()`

    - ### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

      `extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportTest

          public ReportTest()

  - ### Method Detail

    - #### ruleViolationAdded

          public void ruleViolationAdded(RuleViolation ruleViolation)

      Specified by:
        `ruleViolationAdded` in interface `ReportListener`

    - #### metricAdded

          public void metricAdded(Metric metric)

      Specified by:
        `metricAdded` in interface `ReportListener`

    - #### testBasic

          public void testBasic()
                         throws Throwable

      Throws:
        `Throwable`

    - #### testMetric0

          public void testMetric0()

    - #### testMetric1

          public void testMetric1()

    - #### testExclusionsInReportWithRuleViolationSuppressRegex

          public void testExclusionsInReportWithRuleViolationSuppressRegex()
                                                                    throws Throwable

      Throws:
        `Throwable`

    - #### testExclusionsInReportWithRuleViolationSuppressXPath

          public void testExclusionsInReportWithRuleViolationSuppressXPath()
                                                                    throws Throwable

      Throws:
        `Throwable`

    - #### testExclusionsInReportWithAnnotations

          public void testExclusionsInReportWithAnnotations()
                                                     throws Throwable

      Throws:
        `Throwable`

    - #### testExclusionsInReportWithNOPMD

          public void testExclusionsInReportWithNOPMD()
                                               throws Throwable

      Throws:
        `Throwable`

    - #### testSortedReport_File

          public void testSortedReport_File()
                                     throws IOException

      Throws:
        `IOException`

    - #### testSortedReport_Line

          public void testSortedReport_Line()
                                     throws IOException

      Throws:
        `IOException`

    - #### testListener

          public void testListener()

    - #### testSummary

          public void testSummary()

    - #### testTreeIterator

          public void testTreeIterator()

    - #### getNode

          public static JavaNode getNode(int line,
                         int column,
                         String scopeName)

    - #### getNode

          public static JavaNode getNode(int line,
                         int column,
                         String scopeName,
                         boolean nextLine)

    - #### render

          public static String render(Renderer renderer,
                      Report report)
                               throws IOException

      Throws:
        `IOException`

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.